petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMTSSetIFunction

set TS implicit function evaluation function

### Synopsis

    #include "petscts.h"
    PetscErrorCode DMTSSetIFunction(DM dm,TSIFunction func,void *ctx)

Not Collective Many br

### Input Arguments

| dm | - DM to be used with TS Many br
| func | - function evaluation function, see TSSetIFunction() for calling sequence Many br
| ctx | - context for residual evaluation Many br

Many br

### Note

TSSetFunction() is normally used, but it calls this function internally because the user context is actually Many brassociated with the DM. This makes the interface consistent regardless of whether the user interacts with a DM or Many brnot. If DM took a more central role at some later date, this could become the primary method of setting the residual. Many br

### See Also

DMTSSetContext(), TSSetFunction(), DMTSSetJacobian()

Level:advanced
Location:src/ts/utils/dmts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages